Live Score
curl --request GET \
--globoff \
--url 'https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live' \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"matchID": "98697",
"miniScore": {
"batting": [
{
"matchID": "98697",
"playerID": "144919",
"playerImage": "https://cdn.sportxapi.com/assets/uploads/2026/04/rizwanullah-murad.png?_sxcdn=20260831",
"playerName": "Rizwanullah",
"playerShortName": "Rizwanullah",
"playerTeam": "Pakistan Under-19s",
"battingStyle": null,
"playerMatchStrikeRate": "0.00",
"playerOnStrike": true,
"playerMatchBalls": "1",
"runs": "0",
"sixes": "0",
"fours": "0",
"playerDismissalInfo": "c Ralphie Albert b Jack Nelson",
"isSubstituted": false,
"isSuperSub": false,
"playerOut": null,
"playerOutName": null,
"playerIn": null,
"playerInName": null
},
{
"matchID": "98697",
"playerID": "133230",
"playerImage": null,
"playerName": "Mohammad Huzaifa",
"playerShortName": "Mohammad Huzaifa",
"playerTeam": "Pakistan Under-19s",
"battingStyle": null,
"playerMatchStrikeRate": "0.00",
"playerOnStrike": false,
"playerMatchBalls": "7",
"runs": "0",
"sixes": "0",
"fours": "0",
"playerDismissalInfo": "c Ralphie Albert b Jack Nelson",
"isSubstituted": false,
"isSuperSub": false,
"playerOut": null,
"playerOutName": null,
"playerIn": null,
"playerInName": null
}
],
"bowling": [
{
"matchID": "98697",
"playerID": "151946",
"playerImage": null,
"playerFeedID": null,
"playerName": "Jack Nelson",
"playerTeam": "England Under-19s",
"wickets": "4",
"maiden": "0",
"runsConceeded": "36",
"overs": "7.1",
"economy": "5.02"
}
],
"partnership": "(7)",
"oversRemaining": "0.0",
"ballsRemaining": "0",
"reviewDetails": [
{
"teamName": "Pakistan Under-19s",
"review": "0"
},
{
"teamName": "England Under-19s",
"review": "0"
}
],
"runRate": "4.07",
"rRunRate": "0.00",
"liveScoreUrl": "PAK-U19-253/10-(62.1)",
"data": [
{
"id": 98697,
"matchID": "98697",
"isAbandoned": false,
"homeTeamId": "1038",
"homeTeamName": "England Under-19s",
"homeTeamShortName": "ENG-U19",
"homeTeamImg": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831",
"awayTeamId": "1148",
"awayTeamName": "Pakistan Under-19s",
"awayTeamShortName": "PAK-U19",
"awayTeamImg": "https://cdn.sportxapi.com/assets/uploads/2023/05/Pakistan.png?_sxcdn=20260831",
"currentinningsNo": "4",
"firstInningsTeamID": "1038",
"secondInningsTeamID": "1148",
"thirdInningsTeamID": null,
"fourthInningsTeamID": null,
"currentInningteamID": "1148",
"currentInningsTeamName": "Pakistan Under-19s",
"matchLevel": "International",
"matchName": "1st Match, Pakistan U19 tour of England, 2026",
"matchNumber": "1st Match",
"matchResult": null,
"matchScore": [
"[object]",
"[object]"
],
"matchStatus": "live",
"matchType": "Test",
"matchdate": null,
"winningTeamID": null,
"seriesID": "130163"
}
]
},
"last12Balls": [
{
"overNumber": "1",
"over": [
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "1",
"runs": "0",
"type": null
},
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "1",
"runs": "1",
"type": null
}
]
},
{
"overNumber": "2",
"over": [
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "2",
"runs": "0",
"type": null
},
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "2",
"runs": "0",
"type": null
}
]
}
]
}{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Live Matches & Ball-by-Ball
Live Score
Realtime score payload for a live match, including overs, run-rate, and phase.
GET
/
cricket
/
api
/
v2
/
match
/
{}
/
live
Live Score
curl --request GET \
--globoff \
--url 'https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live' \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv2.sportxapi.com/cricket/api/v2/match/{}/live"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"matchID": "98697",
"miniScore": {
"batting": [
{
"matchID": "98697",
"playerID": "144919",
"playerImage": "https://cdn.sportxapi.com/assets/uploads/2026/04/rizwanullah-murad.png?_sxcdn=20260831",
"playerName": "Rizwanullah",
"playerShortName": "Rizwanullah",
"playerTeam": "Pakistan Under-19s",
"battingStyle": null,
"playerMatchStrikeRate": "0.00",
"playerOnStrike": true,
"playerMatchBalls": "1",
"runs": "0",
"sixes": "0",
"fours": "0",
"playerDismissalInfo": "c Ralphie Albert b Jack Nelson",
"isSubstituted": false,
"isSuperSub": false,
"playerOut": null,
"playerOutName": null,
"playerIn": null,
"playerInName": null
},
{
"matchID": "98697",
"playerID": "133230",
"playerImage": null,
"playerName": "Mohammad Huzaifa",
"playerShortName": "Mohammad Huzaifa",
"playerTeam": "Pakistan Under-19s",
"battingStyle": null,
"playerMatchStrikeRate": "0.00",
"playerOnStrike": false,
"playerMatchBalls": "7",
"runs": "0",
"sixes": "0",
"fours": "0",
"playerDismissalInfo": "c Ralphie Albert b Jack Nelson",
"isSubstituted": false,
"isSuperSub": false,
"playerOut": null,
"playerOutName": null,
"playerIn": null,
"playerInName": null
}
],
"bowling": [
{
"matchID": "98697",
"playerID": "151946",
"playerImage": null,
"playerFeedID": null,
"playerName": "Jack Nelson",
"playerTeam": "England Under-19s",
"wickets": "4",
"maiden": "0",
"runsConceeded": "36",
"overs": "7.1",
"economy": "5.02"
}
],
"partnership": "(7)",
"oversRemaining": "0.0",
"ballsRemaining": "0",
"reviewDetails": [
{
"teamName": "Pakistan Under-19s",
"review": "0"
},
{
"teamName": "England Under-19s",
"review": "0"
}
],
"runRate": "4.07",
"rRunRate": "0.00",
"liveScoreUrl": "PAK-U19-253/10-(62.1)",
"data": [
{
"id": 98697,
"matchID": "98697",
"isAbandoned": false,
"homeTeamId": "1038",
"homeTeamName": "England Under-19s",
"homeTeamShortName": "ENG-U19",
"homeTeamImg": "https://cdn.sportxapi.com/assets/uploads/2023/05/England.png?_sxcdn=20260831",
"awayTeamId": "1148",
"awayTeamName": "Pakistan Under-19s",
"awayTeamShortName": "PAK-U19",
"awayTeamImg": "https://cdn.sportxapi.com/assets/uploads/2023/05/Pakistan.png?_sxcdn=20260831",
"currentinningsNo": "4",
"firstInningsTeamID": "1038",
"secondInningsTeamID": "1148",
"thirdInningsTeamID": null,
"fourthInningsTeamID": null,
"currentInningteamID": "1148",
"currentInningsTeamName": "Pakistan Under-19s",
"matchLevel": "International",
"matchName": "1st Match, Pakistan U19 tour of England, 2026",
"matchNumber": "1st Match",
"matchResult": null,
"matchScore": [
"[object]",
"[object]"
],
"matchStatus": "live",
"matchType": "Test",
"matchdate": null,
"winningTeamID": null,
"seriesID": "130163"
}
]
},
"last12Balls": [
{
"overNumber": "1",
"over": [
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "1",
"runs": "0",
"type": null
},
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "1",
"runs": "1",
"type": null
}
]
},
{
"overNumber": "2",
"over": [
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "2",
"runs": "0",
"type": null
},
{
"isWicket": "false",
"isBall": "true",
"isLastBall": "false",
"overNumber": "2",
"runs": "0",
"type": null
}
]
}
]
}{
"error": "Unauthorized: Missing or invalid API key"
}{
"error": "Quota limit exceeded for current billing cycle"
}Authorizations
Your SportXAPI secret key from the customer dashboard.
Path Parameters
Match identifier.
Example:
"100123"
Query Parameters
Innings index (all / 1 / 2).
Example:
"all"
Response
Successful Response (JSON)
The response is of type object.
